Java Client - Story #2253

refactor libclient_java communication to enable unit testing via mock client

2012-01-23 19:03 - Rob Nahf

Status: Rejected Start date: 2012-01-23

Priority: Normal Due date: 2015-01-06

Assignee: Rob Nahf % Done: 0%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: CLJ

Story Points:

Description

an old request; here's an example of how:

http://blog.newsplore.com/2010/02/09/unit-testing-with-httpclient

Related issues:

Related to Java Client - Story #2246: refactor libclient_java connection mana... Closed 2012-07-09
Related to Java Client - Story #1551: Refactor d1_common_java tests for Multi... Closed 2011-05-11
Related to Java Client - Story #6509: libclient_java 2.0 Release Closed 2014-10-06

History

#1 - 2012-01-23 19:22 - Rob Nahf
- Milestone changed from CCI-1.0.0 to None

#2 - 2012-05-17 19:09 - Rob Nahf

- Milestone changed from None to CCI-1.1

#3 - 2012-10-08 16:49 - Rob Nahf
- Milestone changed from CCI-1.1 to None

- Priority changed from Normal to Low

#4 - 2014-10-06 20:29 - Rob Nahf
- Target version set to CCI-2.0.0

Is use of Mockito a priority? How does this fit in with the SessionFactory concept?

#5 - 2014-10-06 21:16 - Rob Nahf

- Priority changed from Low to Normal
- Tracker changed from Task to Story
- Due date set to 2014-10-06

- translation missing: en.field_remaining_hours set to 0.0

#6 - 2014-10-06 23:45 - Rob Nahf

- Product Version set to 2

#7 - 2015-01-06 19:45 - Dave Vieglais
- Due date changed from 2014-10-06 to 2015-01-06

#8 - 2015-02-11 19:50 - Rob Nahf
- Target version changed from CCI-2.0.0 to CLJ-2.0.0
http://blog.newsplore.com/2010/02/09/unit-testing-with-httpclient

- Category changed from d1_libclient_java to d1_libclient_java

- Project changed from Infrastructure to Java Client

#9 - 2015-08-04 18:25 - Rob Nahf
- Target version changed from CLJ-2.0.0 to CLJ

moving to backlog

#10 - 2018-01-17 20:39 - Dave Vieglais

- Status changed from New to Rejected
